#!/bin/sh
# Sun Jul  1 09:54:11 2001 by AGX

. ansi.inc
TITLE "Bad Penguin - second stage install"

TEMP1="/tmp/temp1"
TEMP2="/tmp/temp2"
rm -f "$TEMP1" "$TEMP2"

# Main Menu
while [ 0 ]; do

echoc CYAN "> scanning available devices"
>$TEMP1
IFS="|"
probedisk | while read D1 D2 D3; do
  echo "LISTITEM|$D1   $D3 ($D2)" >>$TEMP2
done
IFS=" "


cat >$TEMP1 <<EOF
WINDOW|  14|  5|  56| 15| Partition Disks
LABEL|    2|  2|| Please chose one of the following devices:
LISTBOX|  2|  3| 52| 10| LIST1
`cat $TEMP2`
BUTTON|   3| 13| 13| Run cfdisk| BTOK
BUTTON|  20| 13| 13| Skip cfdisk| BTSKIP
BUTTON|  38| 13| 13| Go back| BTCANCEL
EOF
cat $TEMP1 >/dev/tty2 
gringosh -f "$TEMP1" -o "$TEMP2" 
if [ $? -ne 0 ]; then
  echoc RED "! gringosh error"
  sleep 2
  exit 2
fi

# Analyze
. $TEMP2

if [ "$BTOK" = "1" ]; then
  DEV="`echo $LIST1 | cut -f 1 -d' '`"
  echo "- launching cfdisk ($DEV)"
  cfdisk $DEV
  exit 0
  
elif [ "$BTSKIP" = "1" ]; then
  echo "- launching target1.sh"
  echo "./target1.sh" >/tmp/ACTION
  exit 0
  
elif [ "$BTCANCEL" = "1" ]; then
  exit 1
fi

done
exit 2
