#!/bin/sh
# Sun Jul  1 09:54:11 2001 by AGX

. ansi.inc
TEMP1="/tmp/temp1"
TEMP2="/tmp/temp2"
rm -f "$TEMP1" "$TEMP2"

# ===== Ask Install =====

while [ 0 ]; do

cat >$TEMP1 <<EOF
WINDOW|   12|  5|  54| 12| Installazione pacchetti
LABEL|    2|  2|| Cosa vuoi installare?
LISTBOX|  2|  4| 50| 6| LIST1
LISTITEM| none, ho gia' installato tutti i pacchetti
LISTITEM| base, installo solo il sistema base
LISTITEM| all,  installo tutto quello che trovo
BUTTON|   3| 10| 10| Apply| BTOK
BUTTON|  34| 10| 10| Go back| BTCANCEL
EOF
cat $TEMP1 >/dev/tty2
gringosh -f "$TEMP1" -o "$TEMP2" 
if [ $? -ne 0 ]; then
  echoc RED "! gringosh error"
  sleep 2
  exit 2
fi

# Analyze
. $TEMP2
OPT="`echo $LIST1 | cut -f 1 -d' '`"

if [ "$BTCANCEL" = "1" ]; then
  exit 1

elif [ "$BTOK" = "1" ]; then
  case $OPT in
    base*)
      IMODE="base"
      ;;
    all*)
      IMODE="all"
      ;;
    *)
      IMODE="none"
    esac
  break
fi

done


# ===== INSTALL =====

TITLE "Pre-configurazione del sistema"
package-init /mnt/target
echo "PRESS ENTER"
read x


case $IMODE in

  base)
    for i in /mnt/source/badpenguin/packages/base/*.bpp ; do
      [ ! -f $i ] && continue
      clear
      package-setup  --no-deps  --no-header  -i $i /mnt/target
      if [ $? -ne 0 ]; then
        echoc YELLOW "Press ENTER to continue with errors..."
        read x
      fi
    done
    ;;

  all)
    for j in /mnt/source/badpenguin/packages/* ; do
      [ ! -d $j ] && continue
      for i in $j/*.bpp ; do
        [ ! -f $i ] && continue
        echo
        package-setup  --no-deps  --no-header  -i $i /mnt/target    
        if [ $? -ne 0 ]; then
          echoc YELLOW "Press ENTER to continue with errors..."
          read x
        fi
      done
    done
    ;;

  *)
    echoc YELLOW "- no packages will be installed"
    sleep 1
    ;;
esac

echo
sync
echoc PURPLE "# installazione completata premi un tasto per continuare"
read x

# DONE!
echo "- launching kernel.sh"
echo "./kernel.sh" >/tmp/ACTION
exit 0
