#!/bin/sh
# Sun Jul  1 09:54:11 2001 by AGX

TEMP1="/tmp/temp1"
TEMP2="/tmp/temp2"
rm -f "$TEMP1" "$TEMP2" 

TEMPFILE="/tmp/parted.$1"
if [ -f $TEMPFILE ]; then
  . $TEMPFILE
  if [ "$DEVMNTP" == "" ]; then
    DEVMNTP="/"
  fi
else
  echoc RED "! Device not specified ($1) or tempfile not found"
  sleep 2
  exit 2
fi

case $DEVTYPE in
  none)
    echoc RED "! Cannot add this filesystem (none)"
    sleep 2
    exit 2
    ;;
esac


# Main Menu
while [ 0 ]; do

cat >$TEMP1 <<EOF
WINDOW|   9|  8|  63| 9| Add Partition
LABEL|    2|  2|| Please, chose a mount point for for /dev/$DEVNAME
LABEL|    2|  3|| You should have at least a root partition mounted under '/'
EDIT|     3|  5| 58| $DEVMNTP| MPOINT
BUTTON|   4|  7| 10| Apply| BTOK
BUTTON|  48|  7| 10| Cancel| BTCANCEL

EOF
cat $TEMP1 >/dev/tty2
gringosh -f "$TEMP1" -o "$TEMP2" 
if [ $? -ne 0 ]; then
  echoc RED "! gringosh error"
  sleep 2
  exit 2
fi

# Analyze
. $TEMP2

if [ "$BTOK" = "1" ]; then
  echo "DEVMNTP=\"${MPOINT}\"" >>$TEMPFILE
  exit 0
  
elif [ "$BTCANCEL" = "1" ]; then
  exit 1
  
fi

done
exit 2
