#!/bin/sh
# caronte2.sh - Antonio Gallo <agx@linux.it> www.badpenguin.org
# Sun Jul  1 09:21:54 2001 by AGX

export HOME=/
export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/setup:.

TEMP1="/tmp/temp1"
TEMP2="/tmp/temp2"
rm -f "$TEMP1" "$TEMP2"

if [ -d /setup ]; then
  echo "! caronte is running"
  cd /setup
fi

. ansi.inc
#TITLE "Bad Penguin - second stage install"

echo "- loading keyboard map"
loadkeys /usr/share/keytables/it.map.gz || CHECKPOINT

echo "> setting mtab"
cp  /proc/mounts  /etc/mtab  || CHECKPOINT

sleep 1

echo "./mainmenu.sh" >/tmp/ACTION

# Main Menu
while [ 0 ]; do

  ACTION=`cat /tmp/ACTION`
  echoc WHITE "- starting ACTION=$ACTION#"
  sleep 1
  $ACTION
  
done

echoc PURPLE "# $0 ultimato, premi ENTER"
read x
