#!/bin/sh
# Sun Jul  1 09:54:11 2001 by AGX

TEMP1="/tmp/temp1"
TEMP2="/tmp/temp2"
TEMP3="/tmp/temp3"
rm -f "$TEMP1" "$TEMP2" "$TEMP3"

# ===== Ask Kernel =====

while [ 0 ]; do


echoc CYAN "> scanning available kernels"
>$TEMP3
for i in /mnt/target/boot/kernel* ; do
  [ ! -f $i ] && continue 
  echo "LISTITEM|`basename $i`" >>$TEMP3
done


cat >$TEMP1 <<EOF
WINDOW|   13|  6|  54| 12| Configurazione Kernel
LABEL|    2|  2|| Per piacere scegli quale kernel configurare
LISTBOX|  2|  4| 50| 6| LIST1
`cat $TEMP3`
BUTTON|   3| 10| 10| Install| BTOK
BUTTON|  16| 10| 10| Skip| BTSKIP
BUTTON|  29| 10| 10| Go back| BTCANCEL
EOF
cat $TEMP1 >/dev/tty2
gringosh -f "$TEMP1" -o "$TEMP2" 
if [ $? -ne 0 ]; then
  echoc RED "! gringosh error"
  sleep 2
  exit 2
fi

# Analyze
. $TEMP2
KERN="`echo $LIST1 | cut -f 1 -d' '`"

if [ "$BTCANCEL" = "1" ]; then
  echo "./install.sh" >/tmp/ACTION
  exit 1
  
elif [ "$BTOK" = "1" ]; then
  echo "- launching kernel2.sh"
  echo "./kernel2.sh $KERN" >/tmp/ACTION
  exit 0

elif [ "$BTSKIP" = "1" ]; then
  echo "exec ./pivot_root.sh" >/tmp/ACTION
  exit 0
  
fi

done
exit 2
