#!/bin/sh
# caronte2.sh - Antonio Gallo <agx@linux.it> www.badpenguin.org
# Sun Jul  1 09:21:54 2001 by AGX

TEMP1="/tmp/temp1"
TEMP2="/tmp/temp2"
rm -f "$TEMP1" "$TEMP2"

# Main Menu
while [ 0 ]; do

cat >$TEMP1 <<EOF
WINDOW|  14|  5|  56| 15| Bad Penguin
LABEL|    2|  2|| Please chose one of the following options:
LISTBOX|  2|  3| 52| 10| LIST1
LISTITEM|install  continue with the installation procedure
LISTITEM|-------------------------------------------------
LISTITEM|sysinfo  display info about this computer
LISTITEM|rescue   start a rescue shell
BUTTON|   3| 13| 16| Choose one| BTOK
BUTTON|  35| 13| 16| Reboot system| BTCANCEL
EOF
cat $TEMP1 >/dev/tty2 
gringosh -f "$TEMP1" -o "$TEMP2" 
if [ $? -ne 0 ]; then
  echoc RED "! gringosh error"
  sleep 2
  exit 2
fi

# Analyze
. $TEMP2
if [ "$BTOK" = "1" ]; then
  case "$LIST1" in

    install*)
      echo "- launching cfdisk.sh."
      echo "./cfdisk.sh" >/tmp/ACTION
      exit 0
      ;;

    rescue*)
      echoc CYAN "- starting rescue shell..."
      bash
      exit 0
      ;;

    sysinfo*)
      clear
      echoc CYAN "Sorry, not implemented yet :-P"
      echo "PRESS ENTER TO CONTINUE"
      read x
      ;;

  esac
  
elif [ "$BTCANCEL" = "1" ]; then
  exit 1
fi

done
exit 2
